Description

The rails-observers gem can be removed with a small amount of refactoring.  It was added with Rails 4 support in #7230 as it was

removed from Rails core.

It's used for the HostObserver which contains one after_validation method to expire or generate build tokens when the build state

changes, but this could be refactored away from observers.

Dropping the dependency will provide a very marginal installation and speed improvement.

Associated revisions

Revision 0443e85e - 04/04/2016 03:31 AM - Dominic Cleal

fixes #14434 - refactor tokens into concern from observer

rails-observers is still required via audited, but this removes the

usage in Foreman itself and unifies token-related code.

History

#1 - 04/01/2016 04:15 AM - Dominic Cleal

- Subject changed from Remove rails-observers dependency to Refactor host token support into concern

It isn't possible to remove the dependency entirely as the audited gem still depends on it, I missed that.  It's possible to remove the usage from

Foreman core though and refactor the token support into a single concern.

#2 - 04/01/2016 04:17 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3383 added

#3 - 04/04/2016 04:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0443e85e9a42956e06f9647c667765c807a5c6a4.

#4 - 04/05/2016 03:51 AM - Dominic Cleal

- translation missing: en.field_release set to 136
